Bug 50464 - EDITING: LibreOffice Calc freezes when copy pasting data in spreadsheet
Summary: EDITING: LibreOffice Calc freezes when copy pasting data in spreadsheet
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-29 07:07 UTC by keesdejong
Modified: 2014-10-02 14:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description keesdejong 2012-05-29 07:07:09 UTC
Problem description: 

Steps to reproduce:
1. Copy data from a sheet and paste it beneath it.    
2. Copy data from a sheet and paste it into Thunderbird 12.0
3. All these bugs seem to pop up randomly, so it might just work for you right now. But if you would worked on spreadsheets every day then you would notice the crashes. 

Current behavior:
The system freezes, the cursor can be moved but there is no way of entering into the tty's or do alt+tab. The only way to enter the system again is trough a SSH connection. Where restarting GDM, Xorg or killing soffice.bin doesn't change a bit on the freeze. This is the case on 5+ other machines with different users, but all run the same OS and LO version.

Expected behavior:
Copy pasting without rendering the system unusable.

Platform: 
I run Ubuntu 11.04 amd64 with LibreOffice 3.5.3.

Troubleshooting:
I can't find any segfault error messages in the syslog or kern.log. But I do find this is Xorg.0.log: http://paste.debian.net/171740/
It probably started with: [  5087.293] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
Comment 1 keesdejong 2012-05-29 07:15:50 UTC
To back this bug a bit up, here is another case: http://forums.debian.net/viewtopic.php?f=6&t=79169

On IRC there was another one who had the problem and of course the 5+ people that I personally know experience this problem. I'll be happy to give more information if necessary. 

Thanks.
Comment 2 m.a.riosv 2012-05-30 01:32:33 UTC
Have tried repairing the user profile?
http://wiki.documentfoundation.org/UserProfile.
Comment 3 keesdejong 2012-05-30 02:19:26 UTC
(In reply to comment #2)
> Have tried repairing the user profile?
> http://wiki.documentfoundation.org/UserProfile.

Why do you think it's a user profile related problem? I'll do some of that profile solutions with my system and other people, but I doubt it will change anything to the crashes.
Comment 4 keesdejong 2012-05-31 04:33:52 UTC
(In reply to comment #2)
> Have tried repairing the user profile?
> http://wiki.documentfoundation.org/UserProfile.

Doesn't change a thing.
Comment 5 keesdejong 2012-06-01 01:19:45 UTC
I also opened a bug with the Intel Linux driver: https://bugs.freedesktop.org/show_bug.cgi?id=50533
Comment 6 madmuffin 2012-06-02 01:31:25 UTC
Sorry, but I cannot confirm this behaviour using Ubuntu 11.04 running LibreOffice 3.5.3 on amd64 platform. (copy&pasted now about 100 times)

Please give some more details on your System, e.g. video drivers, installation type (e.g. ubuntu ppa, official deb) etc.
Comment 7 keesdejong 2012-06-04 06:22:35 UTC
(In reply to comment #6)
> Sorry, but I cannot confirm this behaviour using Ubuntu 11.04 running
> LibreOffice 3.5.3 on amd64 platform. (copy&pasted now about 100 times)
> 
> Please give some more details on your System, e.g. video drivers, installation
> type (e.g. ubuntu ppa, official deb) etc.

We use the Intel drivers supplied by Ubuntu 11.04. We do use a PPA for LibreOffice which is this one: ppa.launchpad.net/libreoffice/ppa/ubuntu/pool/main
Comment 8 QA Administrators 2013-05-26 22:32:23 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 9 QA Administrators 2013-07-08 21:22:57 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Comment 10 S0und 2014-02-21 14:20:04 UTC
I'm on 4.1.3.2, Windows. Since the dawn of age i'm dealing with this bug. 

Few things, the sheet file is relatively big, 10mb .ods, it takes like 10min just to open it, on my 5-6 years old workstation. It has 466k lines, first ~16 columns are in use. 

I can't reproduce the bug. 

What i do, i grab some data (raw text) from our ERP system, then i run a script which creates a formated version of the data, in Excel through COM interface. When the text is formatted in Excel, i copy it, and i pasted this preformated data into Calc. This is when the freeze starts.

My only observation is, most freezes happends after working in the document (it's unsaved) for 5 to 6 hours(since i work 8-16, it's between 13:00-14:00). Since the file is huge, a simple save takes like 10+ minutes, so i try to avoid it, and only save at the end of the day. 

So i'm adding some data (most of the time it's 20+ new lines, in 5 or 6 columns, max 20times a day) for 5 or 6 hours (the file is unsaved during this time), and after that i have a high chance to have a freeze on the next "Data pasting".
Comment 11 remco.bregman 2014-10-02 09:59:36 UTC
I have this problem on my laptop, an Asus k53sv, running Ubuntu 14.04 LTS and LibreOffice 4.3.2.2 release.
The problem occurs in a .xlsx sheet, and also on a .xls sheet.
the problems mostly occur when either:
- changing the background colour of more than one cell
- changing the background colour of a non-colourless cell
- copying any text from one point in the document to another point

the file uses 150 rows in just 6 columns

I have to use an excel file  because I use this sheet in the lab where there are only windows PCs with microsoft office and I'm not allowed to take anything inside.
Comment 12 Joel Madero 2014-10-02 14:22:03 UTC
This bug has been closed for over a year as INVALID. Please report a new bug with (1) details about your system (OS, version of LibreOffice, etc . . . ); (2) Clear and reproducible steps (if you lack these, it'll be closed as INVALID again; (3) a test file.